Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Michael Heerdegen <[email-masked]>
Date: Fri, 27 Oct 2023 05:14:11 +0200

Eli Zaretskii <[email-masked]> writes:

> > Short version of my reply: Emacs users are a different group than Elisp
> > package developers.  Let's help them by forcing a lexical binding cookie
> > in the config file instead of simply making their Emacs potentially not
> > starting up.
>
> If this is about init files, we could instead make processing init
> files assume lexical-binding by default.

That's exactly what we should avoid because it can make Emacs not start
up for init files that require the current default of dynamical binding.

We also should not assume dynamical binding: lexical binding is the
default.  Emacs should not guess: it should ask the user and then add a
cookie.  That's my point.

Michael.